Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class PKIArchiveOptions

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.PKIArchiveOptions

All Implemented Interfaces:
  ASN1Value

public class PKIArchiveOptions
extends java.lang.Object
implements ASN1Value

Nested Class Summary
`static class` | `PKIArchiveOptions.Template` A template for decoding PKIArchiveOptions.
`static class` | `PKIArchiveOptions.Type` A type of PKIArchiveOption.

Field Summary
`static PKIArchiveOptions.Type` | `ARCHIVE_REM_GEN_PRIV_KEY`
`static PKIArchiveOptions.Type` | `ENCRYPTED_PRIV_KEY`
`static PKIArchiveOptions.Type` | `KEY_GEN_PARAMETERS`

Constructor Summary
`PKIArchiveOptions(boolean archiveRemGenPrivKey)`
`PKIArchiveOptions(byte[] keyGenParameters)`
`PKIArchiveOptions(EncryptedKey eKey)`

Method Summary
`void` | `encode(java.io.OutputStream ostream)` DER-encodes a PKIArchiveOptions.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` DER-encodes a PKIArchiveOptions.
`boolean` | `getArchiveRemGenPrivKey()` Returns the key gen parameters.
`EncryptedKey` | `getEncryptedKey()` Returns the encrypted key.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PKIArchiveOptions.Template` | `getTemplate()`
`PKIArchiveOptions.Type` | `getType()` Returns the type of PKIArchiveOptions.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCRYPTED_PRIV_KEY

    public static final PKIArchiveOptions.Type ENCRYPTED_PRIV_KEY

### KEY_GEN_PARAMETERS

    public static final PKIArchiveOptions.Type KEY_GEN_PARAMETERS

### ARCHIVE_REM_GEN_PRIV_KEY

    public static final PKIArchiveOptions.Type ARCHIVE_REM_GEN_PRIV_KEY

Constructor Detail

### PKIArchiveOptions

    public PKIArchiveOptions(EncryptedKey eKey)

### PKIArchiveOptions

    public PKIArchiveOptions(byte[] keyGenParameters)

### PKIArchiveOptions

    public PKIArchiveOptions(boolean archiveRemGenPrivKey)

Method Detail

### getType

    public PKIArchiveOptions.Type getType()

  Returns the type of PKIArchiveOptions.

### getEncryptedKey

    public EncryptedKey getEncryptedKey()

  Returns the encrypted key. Should only be called if the type is `ENCRYPTED_PRIV_KEY`.

### getArchiveRemGenPrivKey

    public boolean getArchiveRemGenPrivKey()

  Returns the key gen parameters. Should only be called if the type is `KEY_GEN_PARAMETERS`. public byte[] getKeyGenParameters( ) { Assert._assert(type == KEY_GEN_PARAMETERS); return keyGenParameters; } /** Returns the archiveRemGenPrivKey field, which indicates that the sender wishes the receiver to generate and archive a key pair. Should only be called if the type is `ARCHIVE_REM_GEN_PRIV_KEY`.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  DER-encodes a PKIArchiveOptions.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  DER-encodes a PKIArchiveOptions.

  Specified by:
    `encode` in interface `ASN1Value`
  Parameters:
    `implicitTag` - This parameter is ignored. A CHOICE cannot have an implicit tag.
    `java.io.IOException`

### getTemplate

    public static PKIArchiveOptions.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD